Bug 991733 - [libvirt][virsh] VM UUID is displayed with unnecessary 'n' letter by virsh -r list
[libvirt][virsh] VM UUID is displayed with unnecessary 'n' letter by virsh -r...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Libvirt Maintainers
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 03:20 EDT by Elad
Modified: 2013-08-05 05:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 05:56:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (1.08 MB, application/x-gzip)
2013-08-04 03:20 EDT, Elad
no flags Details

  None (edit)
Description Elad 2013-08-04 03:20:00 EDT
Created attachment 782417 [details]
logs

Description of problem:
On a vdsm hypervisor (RHEV) with a running VM, (VM UUID: 51f9077a-26e1-4d62-9886-6fb310a345aa)  I'm running:

[root@black-vds1 ~]# virsh -r list
 Id    Name                           State
----------------------------------------------------
 16    n51f9077a-26e1-4d62-9886-6fb310a345aa running

I'm getting an extra 'n' letter, which is not part of the VM UUID


Version-Release number of selected component (if applicable):
libvirt-0.10.2-18.el6_4.9.x86_64

How reproducible:
100%

Steps to Reproduce:
On vdsm hypervisor (RHEV setup):
- run a VM on the hypervisor
- check 'virsh -r list'

Actual results:
We get an extra 'n' letter before the VM UUID


Additional info:
logs
Comment 1 dyuan 2013-08-05 02:26:20 EDT
Can you provide your xml for the VM ?
# virsh dumpxml rhel6
...
<name>rhel6</name>
<uuid>c5633647-a06f-40df-275a-8920adc0fef0</uuid>

or check the uuid with "virsh domuuid"
# virsh domuuid rhel6
c5633647-a06f-40df-275a-8920adc0fef0
Comment 2 Elad 2013-08-05 03:47:30 EDT
<domain type='kvm' id='31'>                                            
  <name>n51f9077a-26e1-4d62-9886-6fb310a345aa</name>                   
  <uuid>51f9077a-26e1-4d62-9886-6fb310a345aa</uuid>                    
  <memory unit='KiB'>524288</memory>                                   
  <currentMemory unit='KiB'>524288</currentMemory>                     
  <vcpu placement='static'>1</vcpu>                                    
  <cputune>                                                            
    <shares>1020</shares>                                              
  </cputune>                                                           
  <sysinfo type='smbios'>                                              
    <system>                                                           
      <entry name='manufacturer'>oVirt</entry>                         
      <entry name='product'>oVirt Node</entry>                         
      <entry name='version'>6Server-6.4.0.4.el6</entry>                
      <entry name='serial'>bb62c08b-ba33-4a8a-b8b5-bfa1b06f6290</entry>
      <entry name='uuid'>51f9077a-26e1-4d62-9886-6fb310a345aa</entry>  
    </system>                                                          
  </sysinfo>                                                           
  <os>                                                                 
    <type arch='x86_64' machine='rhel6.4.0'>hvm</type>                 
    <boot dev='hd'/>                                                   
    <smbios mode='sysinfo'/>                                           
  </os>                                                                
  <features>                                                           
    <acpi/>                                                            
  </features>                                                          
  <cpu mode='custom' match='exact'>                                    
    <model fallback='allow'>qemu64</model>                             
    <feature policy='disable' name='svm'/>                             
  </cpu>                                                               
  <clock offset='variable' adjustment='0' basis='utc'>                 
    <timer name='rtc' tickpolicy='catchup'/>                           
  </clock>                                                             
  <on_poweroff>destroy</on_poweroff>                                   
  <on_reboot>restart</on_reboot>                                       
  <on_crash>destroy</on_crash>                                         
  <devices>                                                            
    <emulator>/usr/libexec/qemu-kvm</emulator>                         
    <disk type='block' device='disk' snapshot='no'>                    
      <driver name='qemu' type='raw' cache='none' error_policy='stop' io='native'/>
      <source dev='/var/run/vdsm/storage/64b404b8-a1a5-41d7-94a9-60a43a604dc6/132fa445-7de3-48af-bcd4-d9e8ba51210a/b956b11e-102b-422d-970f-c31dc4ff7cfc'/>
      <target dev='vda' bus='virtio'/>
      <serial>132fa445-7de3-48af-bcd4-d9e8ba51210a</serial>
      <alias name='virtio-disk0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </disk>
    <controller type='usb' index='0'>
      <alias name='usb0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
    <controller type='virtio-serial' index='0'>
      <alias name='virtio-serial0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </controller>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/51f9077a-26e1-4d62-9886-6fb310a345aa.com.redhat.rhevm.vdsm'/>
      <target type='virtio' name='com.redhat.rhevm.vdsm'/>
      <alias name='channel0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/51f9077a-26e1-4d62-9886-6fb310a345aa.org.qemu.guest_agent.0'/>
      <target type='virtio' name='org.qemu.guest_agent.0'/>
      <alias name='channel1'/>
      <address type='virtio-serial' controller='0' bus='0' port='2'/>
    </channel>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='5900' autoport='yes' listen='0' passwdValidTo='1970-01-01T00:00:01'>
      <listen type='address' address='0'/>
    </graphics>
    <video>
      <model type='cirrus' vram='9216' heads='1'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='none'>
      <alias name='balloon0'/>
    </memballoon>
  </devices>
  <seclabel type='dynamic' model='selinux' relabel='yes'>
    <label>system_u:system_r:svirt_t:s0:c36,c410</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c36,c410</imagelabel>
  </seclabel>
</domain>

#####################################################

[root@nott-vds1 ~] virsh domuuid n51f9077a-26e1-4d62-9886-6fb310a345aa
Please enter your authentication name: elad
Please enter your password:
51f9077a-26e1-4d62-9886-6fb310a345aa
Comment 3 Daniel Berrange 2013-08-05 05:56:36 EDT
You can see here that VDSM is using a VM name of 'n' suffixed by the UUID:

  <name>n51f9077a-26e1-4d62-9886-6fb310a345aa</name>                   

'virsh list' is not claiming to display the UUID - it is displaying the name.

Note You need to log in before you can comment on or make changes to this bug.